> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update grants by Volume ID

> Update grants by Volume ID



## OpenAPI

````yaml /api-specs/cloud/public-api.json put /remotefs/v1/volumes/{id}/grants
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/volumes/{id}/grants:
    put:
      tags:
        - NetApp Volumes
      summary: Update grants by Volume ID
      description: Update grants by Volume ID
      parameters:
        - description: ID of volume to update grants
          name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: >-
                  #/components/schemas/data-remotefs-service_remotefs.VolumeGrantDTO
        description: New grants to replace current volume grants
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-remotefs-service_remotefs.VolumeGrant
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_remotefs.VolumeGrantDTO:
      type: object
      required:
        - targetId
        - targetRole
      properties:
        targetId:
          type: string
        targetRole:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.VolumeRole'
    data-remotefs-service_remotefs.VolumeGrant:
      type: object
      required:
        - isOrganization
        - targetId
        - targetName
        - targetRole
      properties:
        isOrganization:
          type: boolean
        targetId:
          description: References Mongo user ID (including organizations)
          type: string
        targetName:
          type: string
        targetRole:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.VolumeRole'
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.VolumeRole:
      type: string
      enum:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service
      x-enum-varnames:
        - VolumeOwner
        - VolumeEditor
        - VolumeReader
        - Service

````

## Related topics

- [Update Volume](/api-reference/netapp-volumes/update-volume.md)
- [Get grants by Volume ID](/api-reference/netapp-volumes/get-grants-by-volume-id.md)
- [Get volume by ID](/api-reference/netapp-volumes/get-volume-by-id.md)
- [Create new volume](/api-reference/netapp-volumes/create-new-volume.md)
